<?php get_header(); ?>
<?php get_sidebar(); ?>
	<div id="content">
		<?php if (have_posts()) : ?>
		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

<?php /* If this is a category archive */ if (is_category()) { ?>

		<h3>Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</h3>



 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>

		<h3>Archive for <?php the_time('F jS, Y'); ?></h3>



	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>

		<h3>Archive for <?php the_time('F, Y'); ?></h3>



		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>

		<h3>Archive for <?php the_time('Y'); ?></h3>



	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>

		<h3>Author Archive</h3>



		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>

		<h3>Blog Archives</h3>



		<?php } ?>





		<div class="navigation">

			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>

			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>

		</div>



		<ol class="archive">

		<?php while (have_posts()) : the_post(); ?>

		<li>

				<div class="entry">
					<div class="head">
						<div class="left">
							<div class="date">
								<div class="month"><?php the_time('M') ?>
									<div class="day"><?php the_time('d') ?></div>
								</div>
							</div>
						</div>
						<div class="right" align="left">
						<h2><?php the_title(); ?></h2>
							<div class="entryinfo">blogged by <?php the_author() ?> on <?php the_time('') ?> &raquo; <?php edit_post_link('Edit', '', ' &raquo; '); ?>  <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></div>
						</div>
						<div class="clearer"></div>
					</div>
				<?php the_excerpt(); ?>
					<div class="entryf">Filed under <?php the_category(', ') ?></div>
				</div>

		</li>



		<?php endwhile; ?>

		</ol>



		<div class="navigation">

			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>

			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>

		</div>



	<?php else : ?>



				<div class="entry">
					<h2>Not Found</h2>
					<p>Sorry, but you are looking for something that isn't here.</p>
					<?php include (TEMPLATEPATH . "/searchform.php"); ?>
				</div>



	<?php endif; ?>



	</div>

<?php get_footer(); ?>
